# Configuring Application Synchronization (Refresh) Duration

This page explains the steps needed to update the **oes-carina secret** inorder to configure the synchronization duration of the application dynamically.&#x20;

### To Configure the Synchronization Duration Dynamically

The **oes-carina secret** should be updated by adding and removing the mentioned lines below:

* Line to be added: `argoUpdateFrequencySeconds: 30`
* Line to be removed: `updateFrequencySeconds: 30`

### Sample oes-carina secret&#x20;

The following sample shows the placeholders of the above mentioned lines:

```
httpListenPort: XXXX
argoUpdateFrequencySeconds: 30 (to be added)
rbac:
  httpListenPort: XXXX
controller:
  url: 'http://opsmx-controller-controller1:9003'
  token: XXXXXX
  updateFrequencySeconds: 30 (to be removed)
platformServiceUrl: http://xxxxxxx
databases:
  audit:
    type: postgresql
    connectString: host=oes-db  user='postgres' password='networks123' database=auditdb
  platform:
    type: postgresql
    connectString: host=oes-db user='postgres' password='networks123' database=platformdb

```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.opsmx.com/opsmx-1/opsmx-intelligent-software-delivery-isd-platform-argo/additional-resources/configuring-application-synchronization-refresh-duration.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
